## org.apache.batik.css.parser
Class DefaultDocumentHandler

    java.lang.Object
      org.apache.batik.css.parser.DefaultDocumentHandler

All Implemented Interfaces:
  org.w3c.css.sac.DocumentHandler

    public class DefaultDocumentHandler

extends java.lang.Object
implements org.w3c.css.sac.DocumentHandler

This class provides a default implementation of the SAC DocumentHandler.

Field Summary
`static org.w3c.css.sac.DocumentHandler` `INSTANCE` The instance of this class.

Constructor Summary
`protected` `DefaultDocumentHandler()` Creates a new DefaultDocumentHandler.

Method Summary
`void` `comment(java.lang.String text)` SAC: Implements `DocumentHandler.comment(String)`.
`void` `endDocument(org.w3c.css.sac.InputSource source)` SAC: Implements `DocumentHandler.endDocument(InputSource)`.
`void` `endFontFace()` SAC: Implements `DocumentHandler.endFontFace()`.
`void` `endMedia(org.w3c.css.sac.SACMediaList media)` SAC: Implements `DocumentHandler.endMedia(SACMediaList)`.
`void` `endPage(java.lang.String name, java.lang.String pseudo_page)` SAC: Implements `DocumentHandler.endPage(String,String)`.
`void` `endSelector(org.w3c.css.sac.SelectorList selectors)` SAC: Implements `DocumentHandler.endSelector(SelectorList)`.
`void` `ignorableAtRule(java.lang.String atRule)` SAC: Implements `DocumentHandler.ignorableAtRule(String)`.
`void` `importStyle(java.lang.String uri, org.w3c.css.sac.SACMediaList media, java.lang.String defaultNamespaceURI)` SAC: Implements `DocumentHandler.importStyle(String,SACMediaList,String)`.
`void` `namespaceDeclaration(java.lang.String prefix, java.lang.String uri)` SAC: Implements `DocumentHandler.namespaceDeclaration(String,String)`.
`void` `property(java.lang.String name, org.w3c.css.sac.LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.
`void` `startDocument(org.w3c.css.sac.InputSource source)` SAC: Implements `DocumentHandler.startDocument(InputSource)`.
`void` `startFontFace()` SAC: Implements `DocumentHandler.startFontFace()`.
`void` `startMedia(org.w3c.css.sac.SACMediaList media)` SAC: Implements `DocumentHandler.startMedia(SACMediaList)`.
`void` `startPage(java.lang.String name, java.lang.String pseudo_page)` SAC: Implements `DocumentHandler.startPage(String,String)`.
`void` `startSelector(org.w3c.css.sac.SelectorList selectors)` SAC: Implements `DocumentHandler.startSelector(SelectorList)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final org.w3c.css.sac.DocumentHandler INSTANCE

  The instance of this class.

Constructor Detail

### DefaultDocumentHandler

    protected DefaultDocumentHandler()

  Creates a new DefaultDocumentHandler.

Method Detail

### startDocument

    public void startDocument(org.w3c.css.sac.InputSource source)
                       throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.startDocument(InputSource)`.

  Specified by:
    `startDocument` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### endDocument

    public void endDocument(org.w3c.css.sac.InputSource source)
                     throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.endDocument(InputSource)`.

  Specified by:
    `endDocument` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### comment

    public void comment(java.lang.String text)
                 throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.comment(String)`.

  Specified by:
    `comment` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### ignorableAtRule

    public void ignorableAtRule(java.lang.String atRule)
                         throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.ignorableAtRule(String)`.

  Specified by:
    `ignorableAtRule` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### namespaceDeclaration

    public void namespaceDeclaration(java.lang.String prefix,
                                     java.lang.String uri)
                              throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.namespaceDeclaration(String,String)`.

  Specified by:
    `namespaceDeclaration` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### importStyle

    public void importStyle(java.lang.String uri,
                            org.w3c.css.sac.SACMediaList media,
                            java.lang.String defaultNamespaceURI)
                     throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.importStyle(String,SACMediaList,String)`.

  Specified by:
    `importStyle` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### startMedia

    public void startMedia(org.w3c.css.sac.SACMediaList media)
                    throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.startMedia(SACMediaList)`.

  Specified by:
    `startMedia` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### endMedia

    public void endMedia(org.w3c.css.sac.SACMediaList media)
                  throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.endMedia(SACMediaList)`.

  Specified by:
    `endMedia` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### startPage

    public void startPage(java.lang.String name,
                          java.lang.String pseudo_page)
                   throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.startPage(String,String)`.

  Specified by:
    `startPage` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### endPage

    public void endPage(java.lang.String name,
                        java.lang.String pseudo_page)
                 throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.endPage(String,String)`.

  Specified by:
    `endPage` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### startFontFace

    public void startFontFace()
                       throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.startFontFace()`.

  Specified by:
    `startFontFace` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### endFontFace

    public void endFontFace()
                     throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.endFontFace()`.

  Specified by:
    `endFontFace` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### startSelector

    public void startSelector(org.w3c.css.sac.SelectorList selectors)
                       throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.startSelector(SelectorList)`.

  Specified by:
    `startSelector` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### endSelector

    public void endSelector(org.w3c.css.sac.SelectorList selectors)
                     throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.endSelector(SelectorList)`.

  Specified by:
    `endSelector` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

### property

    public void property(java.lang.String name,
                         org.w3c.css.sac.LexicalUnit value,
                         boolean important)
                  throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `org.w3c.css.sac.DocumentHandler`
  Throws:
    `org.w3c.css.sac.CSSException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.